Package org.pushingpixels.flamingo.internal.ui.common.popup

# Class BasicColorSelectorPanelUI.PanelLayout

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI.PanelLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `BasicColorSelectorPanelUI`

protected class BasicColorSelectorPanelUI.PanelLayout extends Object implements LayoutManager

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PanelLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLayoutComponent(String name, Component comp)`
`void`
`layoutContainer(Container parent)`
`Dimension`
`minimumLayoutSize(Container parent)`
`Dimension`
`preferredLayoutSize(Container parent)`
`void`
`removeLayoutComponent(Component comp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PanelLayout

protected PanelLayout()

## Method Details

### addLayoutComponent

public void addLayoutComponent(String name, Component comp)

Specified by:
  `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

public void removeLayoutComponent(Component comp)

Specified by:
  `removeLayoutComponent` in interface `LayoutManager`

### minimumLayoutSize

public Dimension minimumLayoutSize(Container parent)

Specified by:
  `minimumLayoutSize` in interface `LayoutManager`

### preferredLayoutSize

public Dimension preferredLayoutSize(Container parent)

Specified by:
  `preferredLayoutSize` in interface `LayoutManager`

### layoutContainer

public void layoutContainer(Container parent)

Specified by:
  `layoutContainer` in interface `LayoutManager`